API reference
Institution federation
3 management API operations for Institution federation.
/v1/institutions/{institution_id}/federation/deploymentsInventory
POST/v1/institutions/{institution_id}/federation/deploymentsPropose
POST/v1/institutions/{institution_id}/federation/deployments/{identifier}/approveApprove
GET/v1/institutions/{institution_id}/federation/deployments
Inventory
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/federation/deployments
Propose
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredFederationProposal
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
protocol | oidc | saml | Yes | |
issuer | string | Yes | Validation: min length 1; max length 512 |
metadata_url | string | Yes | Validation: min length 1; max length 2000 |
alias | string | Yes | Validation: pattern ^[a-z][a-z0-9-]{2,56}$ |
assurance_evidence_reference | string | Yes | Validation: min length 5; max length 500 |
upstream_client_id | string | null | No | |
secret_reference | string | null | No |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/federation/deployments/{identifier}/approve
Approve
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
identifier | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredidentity__federation_router__Reason
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |